org.gradle.tooling.model.eclipse

## Interface EclipseProject

- All Superinterfaces:
    Element, HasGradleProject, HierarchicalEclipseProject, HierarchicalElement, Model

      public interface EclipseProject
      extends HierarchicalEclipseProject, HasGradleProject

  The complete model of an Eclipse project.

  Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

  Since:
    1.0-milestone-3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainObjectSet<? extends EclipseProject>` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
    `DomainObjectSet<? extends ExternalDependency>` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
    `GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
    `EclipseProject` | `getParent()` Returns the parent of this element, or `null` if there is no parent.

    - ### Methods inherited from interface org.gradle.tooling.model.eclipse.HierarchicalEclipseProject

      `getLinkedResources, getProjectDependencies, getProjectDirectory, getSourceDirectories`

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`

- - ### Method Detail

    - #### getParent

          EclipseProject getParent()

      Returns the parent of this element, or `null` if there is no parent.
      Specified by:
        `getParent` in interface `HierarchicalEclipseProject`
      Specified by:
        `getParent` in interface `HierarchicalElement`
      Returns:
        The parent of this element, or `null` if there is no parent.

    - #### getChildren

          DomainObjectSet<? extends EclipseProject> getChildren()

      Returns the child elements, or the empty set if there are no child elements.
      Specified by:
        `getChildren` in interface `HierarchicalEclipseProject`
      Specified by:
        `getChildren` in interface `HierarchicalElement`
      Returns:
        The child elements, or the empty set if there are no child elements.

    - #### getGradleProject

          GradleProject getGradleProject()

      The gradle project that is associated with this project. Typically, a single Eclipse project corresponds to a single gradle project.

      See `HasGradleProject`

      Specified by:
        `getGradleProject` in interface `HasGradleProject`
      Returns:
        associated gradle project
      Since:
        1.0-milestone-5

    - #### getClasspath

          DomainObjectSet<? extends ExternalDependency> getClasspath()

      Returns the external dependencies which make up the classpath of this project.
      Returns:
        The dependencies. Returns an empty set if the project has no external dependencies.
      Since:
        1.0-milestone-3